Main Page | Modules | Class List | File List | Class Members | File Members

# Callback register functions

Callback register functions These functions are used to register the callback for a created cd key module. More...

## Functions
GSbool | GSCDKey_FixRcvActivationID (GShandle pGSCDKeyHandle, CBCDKey_RcvActivationID fRcvActivationID)
| Register the callback.
GSbool | GSCDKey_FixRcvAuthorizationID (GShandle pGSCDKeyHandle, CBCDKey_RcvAuthorizationID fRcvAuthorizationID)
| Register the callback.
GSbool | GSCDKey_FixRcvValidationResponse (GShandle pGSCDKeyHandle, CBCDKey_RcvValidationResponse fRcvValidationResponse)
| Register the callback.
GSbool | GSCDKey_FixRcvPlayerStatusRequest (GShandle pGSCDKeyHandle, CBCDKey_RcvPlayerStatusRequest fRcvPlayerStatusRequest)
| Register the callback.

## Detailed Description

## Function Documentation

GSbool GSCDKey_FixRcvActivationID | ( | GShandle | pGSCDKeyHandle,
|  | CBCDKey_RcvActivationID | fRcvActivationID
| ) |

  | Description: This function is used to register the callback CBCDKey_RcvActivationID in the library. If this is not correctly called, the callback will nerver be triggered. Returns: Status of the function call Return values:
  GS_TRUE | the operation suceeded.
  GS_FALSE | the operation failed.
  Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  fRcvActivationID | Function of type CBCDKey_RcvActivationID

GSbool GSCDKey_FixRcvAuthorizationID | ( | GShandle | pGSCDKeyHandle,
|  | CBCDKey_RcvAuthorizationID | fRcvAuthorizationID
| ) |

  | Description: This function is used to register the callback CBCDKey_RcvAuthorizationID in the library. If this is not correctly called, the callback will nerver be triggered. Returns: Status of the function call Return values:
  GS_TRUE | the operation suceeded.
  GS_FALSE | the operation failed.
  Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  fRcvAuthorizationID | Function of type CBCDKey_RcvAuthorizationID

GSbool GSCDKey_FixRcvPlayerStatusRequest | ( | GShandle | pGSCDKeyHandle,
|  | CBCDKey_RcvPlayerStatusRequest | fRcvPlayerStatusRequest
| ) |

  | Description: This function is used to register the callback CBCDKey_RcvPlayerStatusRequest in the library. If this is not correctly called, the callback will nerver be triggered. Returns: Status of the function call Return values:
  GS_TRUE | the operation suceeded.
  GS_FALSE | the operation failed.
  Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  fRcvPlayerStatusRequest | Function of type CBCDKey_RcvPlayerStatusRequest

GSbool GSCDKey_FixRcvValidationResponse | ( | GShandle | pGSCDKeyHandle,
|  | CBCDKey_RcvValidationResponse | fRcvValidationResponse
| ) |

  | Description: This function is used to register the callback CBCDKey_RcvValidationResponse in the library. If this is not correctly called, the callback will nerver be triggered. Returns: Status of the function call Return values:
  GS_TRUE | the operation suceeded.
  GS_FALSE | the operation failed.
  Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  fRcvValidationResponse | Function of type CBCDKey_RcvValidationResponse

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team